	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "geo_wind")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -20.00)
	call psetr("subpage_upper_right_longitude", 10.00)
	call psetr("subpage_upper_right_latitude", 65.00)
	call psetr("subpage_lower_left_latitude", 40.00)

	call psetc("map_coastline_sea_shade", "on")
	call psetc("map_coastline_sea_shade_colour", "white")
	call psetc("map_label", "on")
	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_sea_shade')
	call preset('map_coastline_sea_shade_colour')
	call preset('map_label')
	call preset('map_coastline_land_shade_colour')
	call preset('map_grid')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call pset1r("input_longitude_values", (/2.00, -2.00, -10.00/), 3)
	call pset1r("input_latitude_values", (/42.00, 47.00, 52.00/), 3)
	call pset1r("input_x_component_values", (/50.00, 0.00, -30.00/), 3)
	call pset1r("input_y_component_values", (/0.00, 20.00, 0.00/), 3)
	call pinput

	call preset('input_longitude_values')
	call preset('input_latitude_values')
	call preset('input_x_component_values')
	call preset('input_y_component_values')

	call psetc("symbol_type", "wind")
	call psetc("legend", "on")
	call psetc("wind_advanced_method", "on")
	call psymb

	call preset('symbol_type')
	call preset('legend')
	call preset('wind_advanced_method')

	call psetc("legend_title", "on")
	call psetc("legend_display_type", "continuous")
	call psetc("legend", "on")
	call psetc("legend_title_text", "<font colour='navy' size='0.5'> using advanced mode  </font>")

	call pset1c("text_lines", (/"Using wind as Symbol ..."/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_html", "true")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_html')
	call preset('text_colour')

	call pclose

	end
